<div class="py-4 px-24 h-screen">
  <div class="border border-gray-600 rounded-md p-5 bg-gray-100 shadow-lg mt-5">
    <h1 class="font-medium text-3xl text-blue-800 dark:text-red-600">Chỉnh Sửa Sản Phẩm</h1>

    <form [formGroup]="productForm" (ngSubmit)="onSubmit()" class="text-left mt-4">
      <!-- Name Field -->
      <div class="mb-4">
        <input type="text" formControlName="name"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Tên Sản Phẩm">
        <span
          *ngIf="productForm.controls['name'].errors && (productForm.controls['name'].dirty || productForm.controls['name'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Tên không được để trống & phải có ít nhất 6 ký tự
        </span>
      </div>
      <!-- Thumbnail Field -->
      <div class="mb-4">
        <input type="text" formControlName="thumnail"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Ảnh đại diện">
        <span
          *ngIf="productForm.controls['thumnail'].errors && (productForm.controls['thumnail'].dirty || productForm.controls['thumnail'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Ảnh đại diện là bắt buộc
        </span>
      </div>
      <!-- Image1 Field -->
      <div class="mb-4">
        <input type="text" formControlName="image1"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Ảnh 1">
        <span
          *ngIf="productForm.controls['image1'].errors && (productForm.controls['image1'].dirty || productForm.controls['image1'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Ảnh 1 là bắt buộc
        </span>
      </div>
      <!-- Image2 Field -->
      <div class="mb-4">
        <input type="text" formControlName="image2"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Ảnh 2">
        <span
          *ngIf="productForm.controls['image2'].errors && (productForm.controls['image2'].dirty || productForm.controls['image2'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Ảnh 2 là bắt buộc
        </span>
      </div>
      <!-- Description Field -->
      <div class="mb-4">
        <input type="text" formControlName="description"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Mô tả">
        <span
          *ngIf="productForm.controls['description'].errors && (productForm.controls['description'].dirty || productForm.controls['description'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Mô tả là bắt buộc
        </span>
      </div>
      <!-- Price Field -->
      <div class="mb-4">
        <input type="text" formControlName="price"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Giá">
        <span
          *ngIf="productForm.controls['price'].errors && (productForm.controls['price'].dirty || productForm.controls['price'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Giá là bắt buộc
        </span>
      </div>
      <!-- Stock Field -->
      <div class="mb-4">
        <input type="number" formControlName="stock"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300"
          placeholder="Số lượng">
        <span
          *ngIf="productForm.controls['stock'].errors && (productForm.controls['stock'].dirty || productForm.controls['stock'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Số lượng là bắt buộc & phải lớn hơn hoặc bằng 0
        </span>
      </div>
      <!-- Category Field -->
      <div class="mb-4">
        <select formControlName="category"
          class="border rounded-md w-full h-[40px] my-3 px-4 placeholder-gray-500 focus:outline-none focus:ring-2 focus:ring-blue-800 transition duration-300">
          <option value="">Chọn Thể Loại</option>
          <option *ngFor="let category of Categories" [value]="category.id">{{ category.name }}</option>
        </select>
        <span
          *ngIf="productForm.controls['category'].errors && (productForm.controls['category'].dirty || productForm.controls['category'].touched || submitted)"
          class="text-red-500 mt-1 text-sm">
          Thể Loại là bắt buộc
        </span>
      </div>
      <!-- Submit Button -->
      <button type="submit"
        class="cursor-pointer bg-white text-blue-800 dark:text-red-800 hover:bg-blue-800 dark:hover:bg-red-800 hover:text-white dark:hover:text-white p-2 font-semibold rounded-md mt-3 border-2 border-blue-800 dark:border-red-800">
        Cập nhật sản phẩm
      </button>
    </form>
  </div>
  <br>
</div>